> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Supplier Purchase Orders

> List purchase orders tied to a supplier with filtering.



## OpenAPI

````yaml /api/openapi-finindex.json get /api/v1/suppliers/{supplier_id}/purchase-orders
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/suppliers/{supplier_id}/purchase-orders:
    get:
      tags:
        - Suppliers
      summary: List Supplier Purchase Orders
      description: List purchase orders tied to a supplier with filtering.
      operationId: >-
        list_supplier_purchase_orders_api_v1_suppliers__supplier_id__purchase_orders_get
      parameters:
        - name: supplier_id
          in: path
          required: true
          schema:
            type: string
            title: Supplier Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 12
            title: Limit
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: startDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Startdate
        - name: endDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Enddate
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-order_date'
            title: Sort
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSupplierPurchaseOrdersResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedSupplierPurchaseOrdersResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/SupplierPurchaseOrderRecord'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/routers__external__suppliers__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedSupplierPurchaseOrdersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SupplierPurchaseOrderRecord:
      properties:
        id:
          type: string
          title: Id
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        orderDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Orderdate
        dueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Duedate
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        total:
          anyOf:
            - type: number
            - type: 'null'
          title: Total
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        itemsCount:
          type: integer
          title: Itemscount
          default: 0
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - id
      title: SupplierPurchaseOrderRecord
    routers__external__suppliers__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````